org.eclipse.rdf4j.workbench.proxy

## Class WorkbenchGateway

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.proxy.WorkbenchGateway

- All Implemented Interfaces:
    javax.servlet.Servlet

      public class WorkbenchGateway
      extends AbstractServlet

  All requests are serviced by this Servlet, though it usually delegates to other Servlets.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `TRANSFORMATIONS`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkbenchGateway()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `String` | `getChangeServerPath()`
    `String` | `getDefaultServerPath()` Returns the value of the default-server configuration variable.
    `void` | `init(javax.servlet.ServletConfig config)`
    `boolean` | `isServerFixed()` Whether the server path is fixed, which is when the change-server-path configuration value is not set.
    `void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRANSFORMATIONS

          protected static final String TRANSFORMATIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkbenchGateway

          public WorkbenchGateway()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `AbstractServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `AbstractServlet`

    - #### getChangeServerPath

          public String getChangeServerPath()

    - #### getDefaultServerPath

          public String getDefaultServerPath()

      Returns the value of the default-server configuration variable. Often, this is simply a relative path on the same HTTP server.
      Returns:
        the path to the default Sesame server instance

    - #### isServerFixed

          public boolean isServerFixed()

      Whether the server path is fixed, which is when the change-server-path configuration value is not set.
      Returns:
        true, if the change-server-path configuration variable is not set, meaning that changing the server is blocked

    - #### service

          public void service(javax.servlet.http.HttpServletRequest req,
                              javax.servlet.http.HttpServletResponse resp)
                       throws javax.servlet.ServletException,
                              IOException

      Overrides:
        `service` in class `AbstractServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.